package main;

import tasks.mine.Commits;
import tasks.mine.Contributors;
import tasks.mine.Issues;
import tasks.mine.Releases;
import tasks.mine.Search;

/**
 * Creates and populates initial XML database
 * 
 * @author Lisa Nguyen Quang Do
 */

public class MineGitHub {

	private void run() {
		Search search = new Search();
		search.run(Config.target);

		Commits commits = new Commits();
		commits.run(Config.target);

		Issues issues = new Issues();
		issues.run(Config.target);

		Releases releases = new Releases();
		releases.run(Config.target);

		Contributors contributors = new Contributors();
		contributors.run(Config.target);
	}

	public static void main(String[] args) throws Exception {
		MineGitHub main = new MineGitHub();
		main.run();
	}
}
